[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

gub3 glibc FPE problem [was: gub3 binaries, please test]

From: Jan Nieuwenhuizen
Subject: gub3 glibc FPE problem [was: gub3 binaries, please test]
Date: Sat, 17 Jan 2009 14:43:03 +0100

Op donderdag 01-01-2009 om 18:32 uur [tijdzone -0200], schreef Han-Wen

> I am seeing this too, and it is reproducible.  Since it is an FP
> during the install stage, I would suspect some kind of low-level
> mismatch somewhere.

In an effort to push gub3 forward I just built up till gmp 
in a freshly debootstrapped lenny-x86 kvm (ie: 32 bit OS on 64 bit hw,
this is where the problem was, right?).  

With latest gub3 I cannot reproduce this, so either it's fixed,
or it is something system.  What system is showing this problem?

Here's some of my information, possibly playing with the system's
gcc, binutils (or glibc, scary?) can help shed some light.


dpkg -l binutils gcc g++ libc6 linux-image-2.6.* 
ii  binutils                    2.18.1~cvs20080103-7        The GNU assembler, 
linker and binary utilities
ii  g++                         4:4.3.2-2                   The GNU C++ compiler
ii  gcc                         4:4.3.2-2                   The GNU C compiler
ii  libc6                       2.7-18                      GNU C Library: 
Shared libraries
ii  linux-image-2.6.26-1-686    2.6.26-13                   Linux 2.6.26 image 
on PPro/Celeron/PII/PIII/P4
13:40:13 address@hidden:~/vc/gub/gub
$ uname -a
Linux debian 2.6.26-1-686 #1 SMP Sat Jan 10 18:29:31 UTC 2009 i686 GNU/Linux
13:40:33 address@hidden:~/vc/gub/gub
$ lsb_release -a
No LSB modules are available.
Distributor ID: Debian
Description:    Debian GNU/Linux 5.0 (lenny)
Release:        5.0
Codename:       lenny
13:40:38 address@hidden:~/vc/gub/gub

Jan Nieuwenhuizen <address@hidden> | GNU LilyPond - The music typesetter       |

reply via email to

[Prev in Thread] Current Thread [Next in Thread]